package Nredis

import (
	l4g "proxy/logger"
	"strconv"
)

func SetHdId2TariffId(id int, tariffId int) bool {
	err := rdb.Set(ctx, "HdId:"+strconv.Itoa(id), strconv.Itoa(tariffId), 0).Err()
	if err != nil {
		l4g.RedisLog.Errorf("Set HdId:%d %s, err: %v", id, strconv.Itoa(tariffId), err)
		return false
	} else {
		l4g.RedisLog.Infof("Set HdId:%d %s", id, tariffId)
		return true
	}
}

func GetTariffIdByHdId(id int) string {
	var tariffIdStr string
	var err error
	tariffIdStr, err = rdb.Get(ctx, "HdId:"+strconv.Itoa(id)).Result()
	if err != nil {
		return ""
	} else {
		return tariffIdStr
	}
}


